> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Init logo upload: returns a presigned PUT url + candidate

> Init logo upload: returns a presigned PUT url + candidate storage key (not persisted until confirmed)



## OpenAPI

````yaml /api-reference/openapi.json post /api/config/branding/logo
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/config/branding/logo:
    post:
      tags:
        - Config
      summary: 'Init logo upload: returns a presigned PUT url + candidate'
      description: >-
        Init logo upload: returns a presigned PUT url + candidate storage key
        (not persisted until confirmed)
      operationId: postApiConfigBrandingLogo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                mimeType:
                  type: string
                  enum:
                    - image/png
                    - image/jpeg
                    - image/svg+xml
                    - image/webp
                sizeBytes:
                  type: integer
                  exclusiveMinimum: 0
                  maximum: 2097152
              required:
                - mimeType
                - sizeBytes
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  uploadUrl:
                    type: string
                  storageKey:
                    type: string
                required:
                  - uploadUrl
                  - storageKey
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````